Projects

Preview project retirement impact

GET
/api/projects/{projectId}/lifecycle

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
kind*string
Value in"project""workspace"
id*string
name*string
state*string
Value in"active""archiving""archived""deleting""deleted"
revision*number
isDefault*boolean
fingerprint*string
cleanupPending*number
changedAt*number
projects*array<>
counts*
publications*
pending*number
uncertain*number
active*number
members*number
Example Request
curl -X GET 'https://postbot.example/api/projects/string/lifecycle'
Example Response
{
  "kind": "project",
  "id": "string",
  "name": "string",
  "state": "active",
  "revision": 0,
  "isDefault": true,
  "fingerprint": "string",
  "cleanupPending": 0,
  "changedAt": 0,
  "projects": [
    {
      "id": "string",
      "name": "string",
      "state": "active"
    }
  ],
  "counts": {},
  "publications": {},
  "pending": 0,
  "uncertain": 0,
  "active": 0,
  "members": 0
}

Was this page helpful?